Package com.documentum.fc.common

# Interface IDfChangeDescription

public interface IDfChangeDescription
This class is used to maintain information about change description records. Change description records are typically used to track changes in the Virtual Document Manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getChangeSequenceNumber()`
  Returns the sequence number of this change description record.
  `int`
  `getCode()`
  Returns the unique change description code for the change description text.
  `String`
  `getContextTag()`
  Returns the context tag of this change description record.
  `String`
  `getDescription()`
  Returns the textual description of the change.
  `IDfId`
  `getObjectId()`
  Returns the object ID of the object affected by the change described in this change description record.

- ## Method Details

  - ### getContextTag

    String getContextTag()
    Returns the context tag of this change description record.

    Context tags are a mechanism for categorizing change descriptions. If the change is applicable to a VDM window, the context tag uniquely identifies that window. It is set when the change description record is created. (Change descriptions are created through the IDfVirtualDocument interface.)

    Returns:
      The context tag of this change description record

  - ### getObjectId

    IDfId getObjectId()
    Returns the object ID of the object affected by the change described in this change description record.

    Returns:
      An IDfId object that contains the object ID

  - ### getDescription

    String getDescription()
    Returns the textual description of the change.

    The description is defined when the change description record is created. Change desription records are created through the IDfVirtualDocument interface.

    Returns:
      The description of the change

  - ### getChangeSequenceNumber

    int getChangeSequenceNumber()
    Returns the sequence number of this change description record.

    The system maintains change description records for each open Virtual Document Manager window. In the set of change descriptions for an open window, each change description has a unique sequence number. The numbers are integers. Sequence numbers increment by 1 with each change.

    Returns:
      The sequence number of this change description record

  - ### getCode

    int getCode()
    Returns the unique change description code for the change description text.

    Each textual change description has a unique code number. Using this code number allows you to identify a change description without manipulating the complete description.

    Returns:
      The change description code corresponding to the change description string